Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001077 [Piwigo] configuration minor random 2009.07.26 14:21 2011.09.16 09:38
Reporter grum View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0 Product Version 2.0.3
  Target Version Product Build
Summary 0001077: The "config / menu" functionnality allowing to manage the order & visibility of menu blocks don't work everytime
Description When using the "config / menu" functionnality in the admin part, allowing to manage the order & visibility of menu blocks.

Sometimes, the order is not saved correctly.

One example :

---set with interface---
mbSpecials:10
mbAdditionalPages:20
mbMYPOLLS_menu:30
mbAMM_personalised1:40 (hidden)
mbTags:50
mbLinks:60
mbAMM_personalised2:70
mbCategories:80
mbMenu:90
mbAMM_randompict:100 (hidden)
mbAMM_links:110
mbIdentification:120
mbTranslator_register:130

---saved---
mbSpecials:10
mbAdditionalPages:20
mbMYPOLLS_menu:30
mbAMM_personalised1:40 (hidden)
mbTags:50
mbLinks:60
mbAMM_personalised2:70
mbCategories:80
mbMenu:90
mbAMM_links:100
mbAMM_randompict:110 (hidden)
mbIdentification:120
mbTranslator_register:130



Steps To Reproduce
Additional Information When I take a look in the code, I see (in admin/menubar.php file) this comment :
// BEGIN OPTIM - DONT ASK ABOUT THIS ALGO - but optimizes the size of the array we save in DB

As noticed in the code, I don't ask how this algo works.
But when I disable it, everything works fine....


The order is saved in then config table ("blk_menubar" record)
Here the records :

---with OPTIM ALGO---
a:12:{s:10:"mbSpecials";i:441;
s:17:"mbAdditionalPages";i:442;
s:14:"mbMYPOLLS_menu";i:443;
s:19:"mbAMM_personalised1";i:-444;
s:6:"mbTags";i:445;
s:7:"mbLinks";i:446;
s:19:"mbAMM_personalised2";i:447;
s:12:"mbCategories";i:448;
s:6:"mbMenu";i:449;
s:16:"mbAMM_randompict";i:-500;
s:16:"mbIdentification";i:600;
s:21:"mbTranslator_register";i:650;}

---without OPTIM ALGO---
a:13:{s:10:"mbSpecials";i:50;
s:17:"mbAdditionalPages";i:100;
s:14:"mbMYPOLLS_menu";i:150;
s:19:"mbAMM_personalised1";i:-200;
s:6:"mbTags";i:250;
s:7:"mbLinks";i:300;
s:19:"mbAMM_personalised2";i:350;
s:12:"mbCategories";i:400;
s:6:"mbMenu";i:450;
s:16:"mbAMM_randompict";i:-500;
s:11:"mbAMM_links";i:550;
s:16:"mbIdentification";i:600;
s:21:"mbTranslator_register";i:650;}

As we can see :
 - the mbAMM_links value doesn't exist in saved data with the OPTIM ALGO
 - size of the two saved arrays : optim=337char , not optim=361char

So, the algorithm is complex, don't works very well, and optimized size is not very optimized : is it necessary to keep it ?
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002718)
ddtddt (administrator)
2009.07.27 18:34

The problem occurs when there are more than 10 menu block
(0002719)
plg (manager)
2009.07.27 22:10

Pat, ddtddt told me you were the right guy for this problem :-)
(0002728)
Pat (developer)
2009.07.28 21:48

I comfirm that optimization cause problems...
(0005528)
rvelices (developer)
2011.09.16 09:38

close old bug

- Issue History
Date Modified Username Field Change
2009.07.26 14:21 grum New Issue
2009.07.26 14:21 grum browser => any
2009.07.26 14:21 grum Web server => Apache 1.3.x
2009.07.27 18:34 ddtddt Note Added: 0002718
2009.07.27 22:10 plg Status new => assigned
2009.07.27 22:10 plg Assigned To => Pat
2009.07.27 22:10 plg Note Added: 0002719
2009.07.28 21:48 Pat Note Added: 0002728
2009.07.28 21:52 Pat Assigned To Pat => rvelices
2011.09.16 09:38 rvelices Note Added: 0005528
2011.09.16 09:38 rvelices Status assigned => closed
2011.09.16 09:38 rvelices Resolution open => fixed
2011.09.16 09:38 rvelices Fixed in Version => 2.1.0


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker